Bug 330641 - Only one attempt to retrieve stage2.img?
Only one attempt to retrieve stage2.img?
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
: 335131 (view as bug list)
Depends On:
Blocks: F8Target
  Show dependency treegraph
Reported: 2007-10-13 10:21 EDT by Stepan Kasal
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-24 14:15:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stepan Kasal 2007-10-13 10:21:28 EDT
I'm trying to upgrade using a minimal boot cd.
When I arrived to a http server specification, I made a typo and the install
promptly answered that the stage2.img cannot be retrieved.
After a couple of attempts I got the name of the directory right and the
installer has indeed downloaded the img (the time corresponded to the speed of
my connection).
But when the file has arrived, the loop mount failed: tty3 says:
   LOOP_SET_FD failed: Device or resource is busy.

Is it possible that the fd is busy because of the previous attempt(s)?
Would you be so kind to check this code path?

(When the http URL was correct from the beginning, this loop mount worked.)
Comment 1 Jeremy Katz 2007-10-22 16:10:32 EDT
*** Bug 335131 has been marked as a duplicate of this bug. ***
Comment 2 Chris Lumens 2007-10-24 14:15:53 EDT
This will be fixed in the next build of anaconda for both rawhide and F8.

Note You need to log in before you can comment on or make changes to this bug.